Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_03.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_002_001_03 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_002_001_03

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentificationSEPA` `createAccountIdentificationSEPA()` Create an instance of `AccountIdentificationSEPA`
`AccountIdentificationSEPAMandate` `createAccountIdentificationSEPAMandate()` Create an instance of `AccountIdentificationSEPAMandate`
`ActiveOrHistoricCurrencyAndAmountSEPA` `createActiveOrHistoricCurrencyAndAmountSEPA()` Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`
`AmendmentInformationDetailsSEPA` `createAmendmentInformationDetailsSEPA()` Create an instance of `AmendmentInformationDetailsSEPA`
`AmountTypeSEPA` `createAmountTypeSEPA()` Create an instance of `AmountTypeSEPA`
`BranchAndFinancialInstitutionIdentificationSEPA1` `createBranchAndFinancialInstitutionIdentificationSEPA1()` Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`
`BranchAndFinancialInstitutionIdentificationSEPA2` `createBranchAndFinancialInstitutionIdentificationSEPA2()` Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`
`BranchAndFinancialInstitutionIdentificationSEPA3` `createBranchAndFinancialInstitutionIdentificationSEPA3()` Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA3`
`CashAccountSEPA1` `createCashAccountSEPA1()` Create an instance of `CashAccountSEPA1`
`CashAccountSEPAMandate` `createCashAccountSEPAMandate()` Create an instance of `CashAccountSEPAMandate`
`CategoryPurposeSEPA` `createCategoryPurposeSEPA()` Create an instance of `CategoryPurposeSEPA`
`CreditorReferenceInformationSEPA` `createCreditorReferenceInformationSEPA()` Create an instance of `CreditorReferenceInformationSEPA`
`CreditorReferenceTypeCodeSEPA` `createCreditorReferenceTypeCodeSEPA()` Create an instance of `CreditorReferenceTypeCodeSEPA`
`CreditorReferenceTypeSEPA` `createCreditorReferenceTypeSEPA()` Create an instance of `CreditorReferenceTypeSEPA`
`CustomerPaymentStatusReportV03` `createCustomerPaymentStatusReportV03()` Create an instance of `CustomerPaymentStatusReportV03`
`DateAndPlaceOfBirth` `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`FinancialInstitutionIdentificationSEPA1` `createFinancialInstitutionIdentificationSEPA1()` Create an instance of `FinancialInstitutionIdentificationSEPA1`
`FinancialInstitutionIdentificationSEPA2` `createFinancialInstitutionIdentificationSEPA2()` Create an instance of `FinancialInstitutionIdentificationSEPA2`
`FinancialInstitutionIdentificationSEPA3` `createFinancialInstitutionIdentificationSEPA3()` Create an instance of `FinancialInstitutionIdentificationSEPA3`
`GenericAccountIdentificationSEPA` `createGenericAccountIdentificationSEPA()` Create an instance of `GenericAccountIdentificationSEPA`
`GenericOrganisationIdentification1` `createGenericOrganisationIdentification1()` Create an instance of `GenericOrganisationIdentification1`
`GenericPersonIdentification1` `createGenericPersonIdentification1()` Create an instance of `GenericPersonIdentification1`
`GroupHeaderSEPA` `createGroupHeaderSEPA()` Create an instance of `GroupHeaderSEPA`
`LocalInstrumentSEPA` `createLocalInstrumentSEPA()` Create an instance of `LocalInstrumentSEPA`
`MandateRelatedInformationSEPA` `createMandateRelatedInformationSEPA()` Create an instance of `MandateRelatedInformationSEPA`
`OrganisationIdentificationSchemeName1Choice` `createOrganisationIdentificationSchemeName1Choice()` Create an instance of `OrganisationIdentificationSchemeName1Choice`
`OrganisationIdentificationSEPA` `createOrganisationIdentificationSEPA()` Create an instance of `OrganisationIdentificationSEPA`
`OrganisationIdentificationSEPAChoice` `createOrganisationIdentificationSEPAChoice()` Create an instance of `OrganisationIdentificationSEPAChoice`
`OriginalGroupInformationSEPA` `createOriginalGroupInformationSEPA()` Create an instance of `OriginalGroupInformationSEPA`
`OriginalPaymentInformationSEPA` `createOriginalPaymentInformationSEPA()` Create an instance of `OriginalPaymentInformationSEPA`
`OriginalTransactionReferenceSEPA` `createOriginalTransactionReferenceSEPA()` Create an instance of `OriginalTransactionReferenceSEPA`
`OthrIdentification` `createOthrIdentification()` Create an instance of `OthrIdentification`
`PartyIdentificationSEPA1` `createPartyIdentificationSEPA1()` Create an instance of `PartyIdentificationSEPA1`
`PartyIdentificationSEPA2` `createPartyIdentificationSEPA2()` Create an instance of `PartyIdentificationSEPA2`
`PartyIdentificationSEPA3` `createPartyIdentificationSEPA3()` Create an instance of `PartyIdentificationSEPA3`
`PartyIdentificationSEPA4` `createPartyIdentificationSEPA4()` Create an instance of `PartyIdentificationSEPA4`
`PartyIdentificationSEPA6Choice` `createPartyIdentificationSEPA6Choice()` Create an instance of `PartyIdentificationSEPA6Choice`
`PartySEPA1` `createPartySEPA1()` Create an instance of `PartySEPA1`
`PartySEPA2` `createPartySEPA2()` Create an instance of `PartySEPA2`
`PartySEPAChoice` `createPartySEPAChoice()` Create an instance of `PartySEPAChoice`
`PaymentTransactionInformationSEPA` `createPaymentTransactionInformationSEPA()` Create an instance of `PaymentTransactionInformationSEPA`
`PaymentTypeInformationSEPA` `createPaymentTypeInformationSEPA()` Create an instance of `PaymentTypeInformationSEPA`
`PersonIdentificationSchemeName1Choice` `createPersonIdentificationSchemeName1Choice()` Create an instance of `PersonIdentificationSchemeName1Choice`
`PersonIdentificationSEPA1Choice` `createPersonIdentificationSEPA1Choice()` Create an instance of `PersonIdentificationSEPA1Choice`
`PersonIdentificationSEPA2` `createPersonIdentificationSEPA2()` Create an instance of `PersonIdentificationSEPA2`
`PostalAddressSEPA` `createPostalAddressSEPA()` Create an instance of `PostalAddressSEPA`
`RemittanceInformationSEPA2Choice` `createRemittanceInformationSEPA2Choice()` Create an instance of `RemittanceInformationSEPA2Choice`
`RestrictedFinancialIdentificationSEPA` `createRestrictedFinancialIdentificationSEPA()` Create an instance of `RestrictedFinancialIdentificationSEPA`
`RestrictedPersonIdentificationSchemeNameSEPA` `createRestrictedPersonIdentificationSchemeNameSEPA()` Create an instance of `RestrictedPersonIdentificationSchemeNameSEPA`
`RestrictedPersonIdentificationSEPA` `createRestrictedPersonIdentificationSEPA()` Create an instance of `RestrictedPersonIdentificationSEPA`
`ServiceLevel` `createServiceLevel()` Create an instance of `ServiceLevel`
`StatusReasonInformationSEPA` `createStatusReasonInformationSEPA()` Create an instance of `StatusReasonInformationSEPA`
`StatusReasonSEPA` `createStatusReasonSEPA()` Create an instance of `StatusReasonSEPA`
`StructuredRemittanceInformationSEPA2` `createStructuredRemittanceInformationSEPA2()` Create an instance of `StructuredRemittanceInformationSEPA2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_002_001_03

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentificationSEPA

    public AccountIdentificationSEPA createAccountIdentificationSEPA()

Create an instance of `AccountIdentificationSEPA`

#### createAccountIdentificationSEPAMandate

    public AccountIdentificationSEPAMandate createAccountIdentificationSEPAMandate()

Create an instance of `AccountIdentificationSEPAMandate`

#### createGenericAccountIdentificationSEPA

    public GenericAccountIdentificationSEPA createGenericAccountIdentificationSEPA()

Create an instance of `GenericAccountIdentificationSEPA`

#### createActiveOrHistoricCurrencyAndAmountSEPA

    public ActiveOrHistoricCurrencyAndAmountSEPA createActiveOrHistoricCurrencyAndAmountSEPA()

Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`

#### createAmendmentInformationDetailsSEPA

    public AmendmentInformationDetailsSEPA createAmendmentInformationDetailsSEPA()

Create an instance of `AmendmentInformationDetailsSEPA`

#### createAmountTypeSEPA

    public AmountTypeSEPA createAmountTypeSEPA()

Create an instance of `AmountTypeSEPA`

#### createBranchAndFinancialInstitutionIdentificationSEPA1

    public BranchAndFinancialInstitutionIdentificationSEPA1 createBranchAndFinancialInstitutionIdentificationSEPA1()

Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`

#### createBranchAndFinancialInstitutionIdentificationSEPA2

    public BranchAndFinancialInstitutionIdentificationSEPA2 createBranchAndFinancialInstitutionIdentificationSEPA2()

Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`

#### createBranchAndFinancialInstitutionIdentificationSEPA3

    public BranchAndFinancialInstitutionIdentificationSEPA3 createBranchAndFinancialInstitutionIdentificationSEPA3()

Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA3`

#### createCashAccountSEPA1

    public CashAccountSEPA1 createCashAccountSEPA1()

Create an instance of `CashAccountSEPA1`

#### createCashAccountSEPAMandate

    public CashAccountSEPAMandate createCashAccountSEPAMandate()

Create an instance of `CashAccountSEPAMandate`

#### createCategoryPurposeSEPA

    public CategoryPurposeSEPA createCategoryPurposeSEPA()

Create an instance of `CategoryPurposeSEPA`

#### createCreditorReferenceInformationSEPA

    public CreditorReferenceInformationSEPA createCreditorReferenceInformationSEPA()

Create an instance of `CreditorReferenceInformationSEPA`

#### createCreditorReferenceTypeSEPA

    public CreditorReferenceTypeSEPA createCreditorReferenceTypeSEPA()

Create an instance of `CreditorReferenceTypeSEPA`

#### createCreditorReferenceTypeCodeSEPA

    public CreditorReferenceTypeCodeSEPA createCreditorReferenceTypeCodeSEPA()

Create an instance of `CreditorReferenceTypeCodeSEPA`

#### createCustomerPaymentStatusReportV03

    public CustomerPaymentStatusReportV03 createCustomerPaymentStatusReportV03()

Create an instance of `CustomerPaymentStatusReportV03`

#### createDateAndPlaceOfBirth

    public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

Create an instance of `DateAndPlaceOfBirth`

#### createFinancialInstitutionIdentificationSEPA1

    public FinancialInstitutionIdentificationSEPA1 createFinancialInstitutionIdentificationSEPA1()

Create an instance of `FinancialInstitutionIdentificationSEPA1`

#### createFinancialInstitutionIdentificationSEPA3

    public FinancialInstitutionIdentificationSEPA3 createFinancialInstitutionIdentificationSEPA3()

Create an instance of `FinancialInstitutionIdentificationSEPA3`

#### createFinancialInstitutionIdentificationSEPA2

    public FinancialInstitutionIdentificationSEPA2 createFinancialInstitutionIdentificationSEPA2()

Create an instance of `FinancialInstitutionIdentificationSEPA2`

#### createRestrictedFinancialIdentificationSEPA

    public RestrictedFinancialIdentificationSEPA createRestrictedFinancialIdentificationSEPA()

Create an instance of `RestrictedFinancialIdentificationSEPA`

#### createGenericOrganisationIdentification1

    public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()

Create an instance of `GenericOrganisationIdentification1`

#### createGenericPersonIdentification1

    public GenericPersonIdentification1 createGenericPersonIdentification1()

Create an instance of `GenericPersonIdentification1`

#### createOthrIdentification

    public OthrIdentification createOthrIdentification()

Create an instance of `OthrIdentification`

#### createRestrictedPersonIdentificationSEPA

    public RestrictedPersonIdentificationSEPA createRestrictedPersonIdentificationSEPA()

Create an instance of `RestrictedPersonIdentificationSEPA`

#### createGroupHeaderSEPA

    public GroupHeaderSEPA createGroupHeaderSEPA()

Create an instance of `GroupHeaderSEPA`

#### createLocalInstrumentSEPA

    public LocalInstrumentSEPA createLocalInstrumentSEPA()

Create an instance of `LocalInstrumentSEPA`

#### createMandateRelatedInformationSEPA

    public MandateRelatedInformationSEPA createMandateRelatedInformationSEPA()

Create an instance of `MandateRelatedInformationSEPA`

#### createOrganisationIdentificationSEPAChoice

    public OrganisationIdentificationSEPAChoice createOrganisationIdentificationSEPAChoice()

Create an instance of `OrganisationIdentificationSEPAChoice`

#### createOrganisationIdentificationSEPA

    public OrganisationIdentificationSEPA createOrganisationIdentificationSEPA()

Create an instance of `OrganisationIdentificationSEPA`

#### createOrganisationIdentificationSchemeName1Choice

    public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()

Create an instance of `OrganisationIdentificationSchemeName1Choice`

#### createOriginalGroupInformationSEPA

    public OriginalGroupInformationSEPA createOriginalGroupInformationSEPA()

Create an instance of `OriginalGroupInformationSEPA`

#### createOriginalPaymentInformationSEPA

    public OriginalPaymentInformationSEPA createOriginalPaymentInformationSEPA()

Create an instance of `OriginalPaymentInformationSEPA`

#### createOriginalTransactionReferenceSEPA

    public OriginalTransactionReferenceSEPA createOriginalTransactionReferenceSEPA()

Create an instance of `OriginalTransactionReferenceSEPA`

#### createPartySEPAChoice

    public PartySEPAChoice createPartySEPAChoice()

Create an instance of `PartySEPAChoice`

#### createPartySEPA1

    public PartySEPA1 createPartySEPA1()

Create an instance of `PartySEPA1`

#### createPartySEPA2

    public PartySEPA2 createPartySEPA2()

Create an instance of `PartySEPA2`

#### createPartyIdentificationSEPA6Choice

    public PartyIdentificationSEPA6Choice createPartyIdentificationSEPA6Choice()

Create an instance of `PartyIdentificationSEPA6Choice`

#### createPartyIdentificationSEPA2

    public PartyIdentificationSEPA2 createPartyIdentificationSEPA2()

Create an instance of `PartyIdentificationSEPA2`

#### createPartyIdentificationSEPA3

    public PartyIdentificationSEPA3 createPartyIdentificationSEPA3()

Create an instance of `PartyIdentificationSEPA3`

#### createPartyIdentificationSEPA4

    public PartyIdentificationSEPA4 createPartyIdentificationSEPA4()

Create an instance of `PartyIdentificationSEPA4`

#### createPartyIdentificationSEPA1

    public PartyIdentificationSEPA1 createPartyIdentificationSEPA1()

Create an instance of `PartyIdentificationSEPA1`

#### createPaymentTransactionInformationSEPA

    public PaymentTransactionInformationSEPA createPaymentTransactionInformationSEPA()

Create an instance of `PaymentTransactionInformationSEPA`

#### createPaymentTypeInformationSEPA

    public PaymentTypeInformationSEPA createPaymentTypeInformationSEPA()

Create an instance of `PaymentTypeInformationSEPA`

#### createPersonIdentificationSEPA1Choice

    public PersonIdentificationSEPA1Choice createPersonIdentificationSEPA1Choice()

Create an instance of `PersonIdentificationSEPA1Choice`

#### createPersonIdentificationSEPA2

    public PersonIdentificationSEPA2 createPersonIdentificationSEPA2()

Create an instance of `PersonIdentificationSEPA2`

#### createPersonIdentificationSchemeName1Choice

    public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()

Create an instance of `PersonIdentificationSchemeName1Choice`

#### createRestrictedPersonIdentificationSchemeNameSEPA

    public RestrictedPersonIdentificationSchemeNameSEPA createRestrictedPersonIdentificationSchemeNameSEPA()

Create an instance of `RestrictedPersonIdentificationSchemeNameSEPA`

#### createPostalAddressSEPA

    public PostalAddressSEPA createPostalAddressSEPA()

Create an instance of `PostalAddressSEPA`

#### createRemittanceInformationSEPA2Choice

    public RemittanceInformationSEPA2Choice createRemittanceInformationSEPA2Choice()

Create an instance of `RemittanceInformationSEPA2Choice`

#### createServiceLevel

    public ServiceLevel createServiceLevel()

Create an instance of `ServiceLevel`

#### createStatusReasonSEPA

    public StatusReasonSEPA createStatusReasonSEPA()

Create an instance of `StatusReasonSEPA`

#### createStatusReasonInformationSEPA

    public StatusReasonInformationSEPA createStatusReasonInformationSEPA()

Create an instance of `StatusReasonInformationSEPA`

#### createStructuredRemittanceInformationSEPA2

    public StructuredRemittanceInformationSEPA2 createStructuredRemittanceInformationSEPA2()

Create an instance of `StructuredRemittanceInformationSEPA2`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`